> For the complete documentation index, see [llms.txt](https://docs.vames-store.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vames-store.com/assets/vms_garagesv2/developer-api/client-exports.md).

# Client Exports

### openTowMenu

Opening the towing menu.\
\* **Export still needs to meet job requirements in Config.TowMenuJobsAccess**

```lua
exports["vms_garagesv2"]:openTowMenu()
```

***

### openAgreement

With the help of this event, you can open a vehicle sales agreement.

```lua
exports["vms_garagesv2"]:openAgreement()
```

***

### unlockVehicle

Export that unlocks or locks a vehicle in the parking lot - it will be unlocked for the player in whom the export was triggered.\
\&#xNAN;**\* Export possible to use only when player is from parking area**

```lua
---@param {*plate: string}: Plate of the vehicle to unlock/lock
---@param {*toggle: boolean}: true or false

exports["vms_garagesv2"]:unlockVehicle(plate, toggle)
```

***

### enterHouseGarage

This export should be placed in your housing system in the opening/entering garage.

```lua
exports["vms_garagesv2"]:enterHouseGarage()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vames-store.com/assets/vms_garagesv2/developer-api/client-exports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
